function obr2 = objekty(obr)


pocet = max(max(obr));    % celkovy pocet objektu
vel = [];
for i = 1:pocet
    vel(i,1) = sum(sum(obr==i));      % zjisteni velikosti objektu
    vel(i,2) = i;
end
obr2 = obr;
if pocet > 0
    
    vel = sortrows(vel);
    vel2 = vel(:,2);


    for i = 1:pocet
        j = pocet-i+1;
        obr2(obr==vel2(j)) = i;   % i pro 1.-nejvetsi,j pro posledni nejvetsi
    end
end











